

layout(location = 0, index = 0) out vec4 outcol0;

uniform vec4 diffcol;

in vec3 ws_norm;
in vec3 ws_lightvec;

void main()
{
	float n_dot_l = dot( normalize(ws_norm), normalize(ws_lightvec) );
	outcol0 = vec4( diffcol.rgb * vec3(n_dot_l), diffcol.a );
}
